Bug 35435 - Copy network configuration to UCR
Copy network configuration to UCR
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
All Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Drees Dormann
: interim-1
Depends on: 35522
Blocks: 35497
  Show dependency treegraph
 
Reported: 2014-07-22 13:22 CEST by Philipp Hahn
Modified: 2019-05-06 17:00 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-07-22 13:22:20 CEST
The data collected by netcfg must be transfered to UCR.
Comment 1 Philipp Hahn univentionstaff 2014-07-23 09:22:03 CEST
Modify netcfg to write the C struct also to some UCR-like file.
The alternative to parse /etc/network/interfaces, /etc/resolv.conv, /etc/hostname is less appealing.
Comment 2 Philipp Hahn univentionstaff 2014-07-29 17:01:39 CEST
/etc/network/interfaces /etc/networks /etc/hostname /etc/resolv.conf /etc/hosts
Comment 3 Philipp Hahn univentionstaff 2014-07-30 17:11:21 CEST
The dummy "hostname" and "domainname" are stored in UCR, because otherwise Apache will not start in all cases.
The UCRV hosts/static/127.0.1.1 should be removed after successfully provisioning the UCS system by USS.

r13296: Write UCR net configuration

Package: netcfg
Version: 1.108.4.201407301705
User: phahn
Branch: ucs_4.0-0
Comment 4 Drees Dormann univentionstaff 2014-08-26 15:57:16 CEST
ucrv hosts/static/127.0.1.1 is removed and network config is set correctly
Comment 5 Stefan Gohmann univentionstaff 2014-11-26 06:54:16 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".